
%{!?project_version:%define project_version 1.0}
%{!?svn_rev:%define svn_rev 0}

Summary: VMEDAQ - VME Data Acquisition System
Name: vmedaq
Version: %{project_version}
Release: 5.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/VMEDAQ
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mlink-kmod = 1.32
Requires: mlink = 1.32
BuildRequires: mlink-devel = 1.32
BuildRequires: qt-devel >= 4.0
BuildRequires: qwt-devel >= 5.0
BuildRequires: libxml++-devel >= 2.19
BuildRequires: zlib >= 1.2

%description
VMEDAQ is a set of programs for online data acquisition with VME systems.

#%package devel
#Summary: VMEDAQ data file structures
#Group: Development/Base
#Requires: mlink-devel

#%description devel
#Header files describing VMEDAQ data file structures

%prep
%setup -q

%build
make svn_rev=%{svn_rev} NODEBUG=yes

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%config(noreplace) %{_sysconfdir}/vmedaq_histmgr.xml
%{_bindir}/*
#%{_datadir}/applications/vmedaq.desktop
#%{_datadir}/applications/vmegui.desktop
%doc

#%files devel
#%defattr(0644,root,root,-)
#%{_includedir}/*.h
#%{_libdir}/lib*.a

%changelog
* Tue Jun  1 2010  <Ilja.Slepnev@jinr.ru> -
- ported to qt4

* Sun Mar 28 2010  <Ilja.Slepnev@jinr.ru> -
- modified to use mlink-1.32

* Wed Aug  5 2009  <Ilja.Slepnev@jinr.ru> -
- Removed custom crc32 code, use Zlib

* Wed Apr 22 2009  <Ilja.Slepnev@jinr.ru> -
- get version number from version.h

* Thu Apr 16 2009  <Ilja.Slepnev@jinr.ru> - 
- Added VME Manual Controller

* Wed Apr 08 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.29: Removed special run-mode. Packet mode only.

* Thu Feb 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Histograms: added axis labels and titles, set from histmgr.xml

* Tue Nov 27 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.
